{% extends 'dialog.html.twig' %}

{% block dialog_title %}
    <h1 class="mb-5">{{ 'Login'|trans }}</h1>
{% endblock %}

{% block dialog_body %}
    <form method="post" action="{{ path('account-login-form') }}">
        {% if app.request.query.has('_target_path') %}
            <input type="hidden" name="_target_path"
                   value="{{ app.request.query.get('_target_path') }}" />
        {% endif %}
        <input type="hidden" name="_failure_path"
               value="{{ app.request.getRequestUri() }}" />

        <div class="form-floating mb-4">
            <input type="text" id="username" name="_username"
                   value="{{ last_username }}"
                   class="form-control form-control-lg"
                   placeholder="user@example.com" required autofocus
                   autocomplete="username" />
            <label for="username" class="form-check-label">{{ 'Username'|trans }}</label>
        </div>

        <div class="form-floating mb-4">
            <input type="password" id="password" name="_password"
                   class="form-control form-control-lg" placeholder="Heslo" required
                   autocomplete="current-password" />
            <label for="password" class="form-check-label">{{ 'Password'|trans }}</label>
        </div>

        <div class="form-check mb-4">
            <input class="form-check-input" type="checkbox" name="_remember_me" id="_remember_me" />
            <label class="form-check-label" for="_remember_me">{{ 'Remember me'|trans }}</label>
        </div>

        <button class="btn btn-primary btn-lg" type="submit">{{ 'Submit'|trans }}</button>
    </form>
{% endblock %}
